QGIS Application - Bug report #1132
Layers not displaying
2008-06-28 05:57 AM - Herb -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category:

Affected QGIS version: Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11192
Description

I'm having a problem with layers not displaying in Qgis lo. This is for both raster and vector layers with QGIS SRSID: 219. The layers have
been loaded and selected and the projection set correctly. To make the layer display whenever Qgis is started, | have to go to the Layer
Projection Selector (where the correct projection is already highlighted) and click OK. The layer then displays correctly. This needs to be
done each time | open a project with Qgis.

This began when | updated to lo. It's not a problem for layers with other SRSID, for example, 2585. The problem layers seem to be
correctly defined in the .qgs file. A sample shapefile and .qgs file are attached.

History

#1 - 2008-10-21 01:36 PM - Magnus Homann
- Status changed from Open to In Progress

#2 - 2008-10-21 01:47 PM - Magnus Homann

- Resolution set to fixed
- Status changed from In Progress to Closed

| can't reproduce this in latest SVN source. | opened your test project which consisted of two layers from the same shape file. QGIS asked me where the

files were, and when | selected the file, projection was set.

Saving project, quitting QGIS and startin again showed the layers.

A lot of bugfixes have been done to projections lately, perhapas this one was solved. If you have the possibility to test with SVN snapshot, that would be
great. If you see the problem at next release, please re-open this bug.

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
